import request from '/@/utils/request';

export function lineApi() {
    return {
        // 分页获取休息日列表
        getLine: (data: object) => {
            return request({
                url: import.meta.env.VITE_API_URL + `/SafeCheckSmartScreen/select/getSmartScreenDataByTaskId`,
                method: 'post',
                data: data
            });
        },

        // 获取Url
        getUrl: () => {
            return request({
                url: import.meta.env.VITE_API_URL_SOCKET + `/ws/namesrv/get/one?srv=safeplatform-websocket`,
                method: 'get'
            });
        },

        uploadMission: (data: object) => {
            return request({
                headers: {
                    "Content-Type": "multipart/form-data",
                },
                url: import.meta.env.VITE_API_URL + `/SafeCheckTaskUnit/import`,
                method: 'post',
                data: data
            });
        },

        uploadRfid: (data: object) => {
            return request({
                headers: {
                    "Content-Type": "multipart/form-data",
                },
                url: import.meta.env.VITE_API_URL + `/SafeCheckRfid/import`,
                method: 'post',
                data: data
            });
        },

        uploadRegion: (data: object) => {
            return request({
                headers: {
                    "Content-Type": "multipart/form-data",
                },
                url: import.meta.env.VITE_API_URL + `/safeCheckRegion/import`,
                method: 'post',
                data: data
            });
        },

        uploadPoint: (data: object) => {
            return request({
                headers: {
                    "Content-Type": "multipart/form-data",
                },
                url: import.meta.env.VITE_API_URL + `/safeCheckPoint/import`,
                method: 'post',
                data: data
            });
        },
    };
}
